import request from '@/utils/request'

const baseUrl = import.meta.env.VITE_APP_BASE_API

// 查询deptProcess列表
export function listDeptProcess(query) {
  return request({
    url: baseUrl + '/business/deptProcess/list',
    method: 'get',
    params: query
  })
}

// 查询deptProcess详细
export function getDeptProcess(id) {
  return request({
    url: baseUrl + '/business/deptProcess/' + id,
    method: 'get'
  })
}

// 新增deptProcess
export function addDeptProcess(data) {
  return request({
    url: baseUrl + '/business/deptProcess/save',
    method: 'post',
    data: data
  })
}

// 修改deptProcess
export function updateDeptProcess(data) {
  return request({
    url: baseUrl + '/business/deptProcess',
    method: 'put',
    data: data
  })
}

// 删除deptProcess
export function delDeptProcess(id) {
  return request({
    url: baseUrl + '/business/deptProcess/' + id,
    method: 'delete'
  })
}
